#include <bits/stdc++.h>


using namespace std;


int main(){
	long long br;
	cin>>br;
	vector<long long>b;
	long long n=br;
	if(br%2==1){//neradi
		if(br==3)cout<<6<<" "<<1<<" "<<4<<endl<<2<<" "<<5<<" "<<3;
		
		/*	
		else if(br%2==0)cout<<br<<" "<<br+n<<" ";
		else {
			b.push_back(br);
		b.push_back(br+n);
		}
			
			
		
	cout<<endl;
	for(int i=0;i<b.size();i++)cout<<b[i]<<" ";
	}*/
	}
		else {
			for(int i=0;i<br;br--){
			
			
		 if(br%2==0)cout<<br<<" "<<br+n<<" ";
		else {
			b.push_back(br);
		b.push_back(br+n);
		}
			
			
		}
	cout<<endl;
	for(int i=0;i<b.size();i++)cout<<b[i]<<" ";
		}
	

	
}